<div class="header"><h1 mat-dialog-title class="title-federation">Compliance
        self-assessment questionnaire</h1>
    <button mat-icon-button (click)="onClose()">
        <mat-icon>close</mat-icon>
    </button>
</div>

<form (ngSubmit)="submit()"></form>
<mat-dialog-content class="mat-typography dial-content">
    <mat-accordion multi>

        <mat-expansion-panel expanded class="panel-questionnaire">
            <mat-expansion-panel-header class="panel-header">
                <h3 class="panel-title">Contractual governance</h3>
            </mat-expansion-panel-header>

            <div class="question-category">
                <div class="question-wrapper" *ngFor="let crit of
                filterQuestionsBy('Contractual governance'); let i= index;">
                    <p>{{ crit.name }} : {{ crit.description }}</p>
                    <mat-radio-group (change)="changeTransparency()" class="radio-group" [(ngModel)]="crit.value">
                        <mat-radio-button color="primary" [value]="true" style="margin-right:10px;">Yes</mat-radio-button>
                        <mat-radio-button color="primary" [value]="false">No</mat-radio-button>
                    </mat-radio-group>
                </div>
            </div>
        </mat-expansion-panel>

        <mat-expansion-panel expanded class="panel-questionnaire">
            <mat-expansion-panel-header class="panel-header">
                <h3 class="panel-title">Transparency</h3>
            </mat-expansion-panel-header>

            <div class="question-category">
                <div class="question-wrapper" *ngFor="let crit of
                filterQuestionsBy('Transparency'); let i= index;">
                    <p>{{ crit.name }} : {{ crit.description }}</p>
                    <mat-radio-group (change)="changeTransparency()" class="radio-group" [(ngModel)]="crit.value">
                        <mat-radio-button color="primary" [value]="true" style="margin-right:10px;">Yes</mat-radio-button>
                        <mat-radio-button color="primary" [value]="false">No</mat-radio-button>
                    </mat-radio-group>
                </div>
            </div>
        </mat-expansion-panel>

        <mat-expansion-panel expanded class="panel-questionnaire">
            <mat-expansion-panel-header class="panel-header">
                <h3 class="panel-title">European Control</h3>
            </mat-expansion-panel-header>

            <div class="question-category">
                <div class="question-wrapper" *ngFor="let crit of
                filterQuestionsBy('European Control'); let i= index;">
                    <p>{{ crit.name }} : {{ crit.description }}</p>
                    <mat-radio-group (change)="changeTransparency()" class="radio-group" [(ngModel)]="crit.value">
                        <mat-radio-button color="primary" [value]="true" style="margin-right:10px;">Yes</mat-radio-button>
                        <mat-radio-button color="primary" [value]="false">No</mat-radio-button>
                    </mat-radio-group>
                </div>
            </div>
        </mat-expansion-panel>

        <mat-expansion-panel>

        </mat-expansion-panel>
    </mat-accordion>
</mat-dialog-content>

<mat-dialog-actions style="display: flex; justify-content:center;">
    <div class="actions">
        <button class="button cancel" mat-button mat-dialog-close>Cancel</button>
        <button class="button" (click) = "submit()" type="button" mat-button [mat-dialog-close]="true"
            cdkFocusInitial>Continue</button>
    </div>

</mat-dialog-actions>
